tiles-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antonio Petrelli <antonio.petre...@gmail.com>
Subject Re: [NEWBIE] Exception sending context initialized event to listener instance of class org.apache.struts2.tiles.StrutsTilesListener
Date Tue, 08 Sep 2009 07:23:56 GMT
2009/9/8 Ignacio Enriquez <nacho4d@gmail.com>:
> I actually found the reason and solved it.
> I have noticed that actually there is no recent documentation for
> using struts 2.1.6  with Tiles 2.2.0 plugin (At least not Info I
> found)

Well, Tiles 2.2.0 is in alpha stage, so it is reasonable that there is
no documentation for using Struts 2 + Tiles 2.2.0.
I must admit that the Struts 2/Tiles 2 plugin does not work well with
Tiles 2.1.x either, but this is a problem of the Struts team (you
maybe want to contact the Struts Users mailing list).

>
> I was trying to do the simple product input form application and I
> didn't know I was  supposed to add
>
> commons-beanutils-VERSION.jar
> commons-collections-VERSION.jar
> commons-digest-VERSION.jar
>
>  besides
> tiles-api-VERSION.jar
> tiles-core-VERSION.jar
> tiles-servlet-VERSION.jar
> tiles-jsp-VERSION.jar

Eh...
http://tiles.apache.org/framework/getting_started.html
Try Maven, with it your dependencies will be automatically resolved.

> And Besides:
> THERES IS A BUG WITH TILES PLUGIN
> THE PROJECT IN ECLIPSE WILL NOT IF YOU HAVE BLANK SPACES IN YOUR
> WORKSPACE PATH!!!

Gulp! What error do you receive?

Antonio

Mime
View raw message